Cartridge Utility

Vielen Dank, dass Sie sich für ein Cartridge-Produkt entschieden haben.

Diese HTML-Hilfedatei enthält Dokumentation über Cartridge-Produkten.

Der erste Teil dieses Dokuments enthält Informationen zur Funktionalität von Cartridge-Produkten.

Der zweite Teil dieses Dokuments enthält Informationen zu Dialog Manager, dem Paket zur Entwicklung des Cartridge Utility, dem Treiber für die Cartridge-Produkte.

Last Modification: October 23, 2005 © 2005 Computerservice SSHS BV.


Einleitung

Cartridge Utility ist der Treiber für Cartridge.

Die Theorie hinter Cartridge Utility ist sehr einfach. Eine Cartridge ist nichts anderes als ein Speicher von 32 Kilobyte. Die Strickmaschine kann diesen Speicher lesen und die meisten Strickmaschinen können auch den Speicher schreiben.

Die Technik ist jetzt, dass Sie mit Cartridge auch den Speicher lesen und den Inhalt auf Ihrem Computer speichern können. Sie können den gespeicherten Speicherinhalt auch in die Cartridge zurückschreiben.

Dies bringt uns sofort zur ersten zusätzlichen Anwendung: Sie werden nie wieder Probleme mit Platzmangel auf Ihrer Cartridge haben. Sie können den Inhalt auf Ihrem Computer speichern. Sie haben jetzt eine Sicherungskopie Ihrer Muster. Sie können dies so oft tun, wie Sie möchten.

Cartridge löst auch ein anderes Problem für Sie: Nachdem Sie den Cartridge-Inhalt abgerufen haben, können Sie die Cartridges anzeigen. Wenn Sie sich beispielsweise nicht an die Reihenfolge Ihrer Muster erinnern, kann Ihnen das Cartridge Utility dabei helfen, sich ein Bild von Ihre Muster zu machen.

Sie können auch neue Cartridge-Inhalte auf Ihrem Computer erstellen, indem Sie die in den Cartridge enthaltenen Muster und Muster (DesignaKnit STP / PAT-Dateien, Stitch Painter STC-Dateien) verwenden, die auf Ihrem Computer enthalten sind.

DesignaKnit-Benutzer können die Option IK (Interactive Knitting) verwenden, um interaktiv über den USB-Anschluss Ihres Computers zu stricken. Ein RS232-Port ist nicht mehr erforderlich.

Last Modification: Dec 12, 2022 © 2005-2022 Computerservice SSHS BV.


Funktionen

Strickmaschine | Slot | PPD | DesignaKnit | CartUtil | Seiten
KH-940 | Nein | Ja | Ja | Ja | 1 x 32K
KH-950i | Nein | Ja | Ja | Ja | 1 x 32K
KH-270 | Ja | Ja | Ja | Ja | 1 x 32K
KH-930 | Nein | Ja | Ja | Ja | 16 x 2K
KH-930M | Nein | Ja | Ja | Ja | 4 x 8K
KH-900 | Ja | Ja | Nein | Ja | 8 x 4K
KH-965 | Ja | Ja | Ja | Ja | 1 x 32K
KH-965i | Ja | Ja | Ja | Ja | 1 x 32K
KH-970 | Ja | Nein | Nein | Ja(*) | 1 x 32K
CK-35 | Ja | Ja | Ja | Ja | 1 x 32K
(*) in der Entwicklung

Legende:
Slot | Die Strickmaschine hat einen Cartridge Slot
PPD | Die PPD kann die Cartridge programmieren
DesignaKnit | DesignaKnit kann die Cartridge programmieren (in der PPD)
CartUtil | Das Cartridge Utility kann die Cartridge programmieren (über USB mit dem PC verbunden).

Last Modification: Mar 31, 2020 © 2005-2020 Computerservice SSHS BV.


Starten von Cartridge Utility

Die Cartridge wird vom Cartridge Utility angesteuert. Sie können das Cartridge Utility auch ohne Cartridge verwenden. In diesem Fall können Sie keine Cartridge lesen und schreiben.

Führen Sie die folgenden Schritte aus, um das Cartridge Utility zu starten:
1. Drücken Sie Start
2. Drücken Sie Programme
3. Drücken Sie Cartridge
4. Drücken Sie Cartridge Utility
5. Das Konfigurationsdialogfeld für das Cartridge-Dienstprogramm wird angezeigt

Figur 1

Sie können das Cartridge Utility auch starten, indem Sie auf das Symbol des Cartridge Utility auf Ihrem Desktop doppelklicken.


Konfiguration

Stellen Sie beim Starten des Cartridge Utility zunächst den COM-Port ein, an den die Cartridge-Hardware angeschlossen ist. Klicken Sie dazu auf einen der COM-Ports in der Liste und drücken Sie dann OK.

Wenn die Kassette nicht mit dem angegebenen COM-Port verbunden ist, wird die folgende Meldung angezeigt.

Sie können diese Hilfedatei anzeigen, indem Sie auf die Schaltfläche Help klicken.

Wenn Sie Uber drücken , wird die Version des Cartridge-Dienstprogramms sowie die Version von Windows angezeigt.

Sie können auch bestimmen, dass nur Ihre PC-Mustersammlungen verwaltet und / oder angezeigt werden. In diesem Fall drücken Sie Kein Port.

Als nächstes Dialogfeld sehen Sie das Menü -Dialogfeld.


Menu

Es gibt zwei Varianten des Dialogfelds "Benutzeroberfläche": eine mit fünf schwarzen Schaltflächen und eine mit drei grauen und zwei schwarzen Schaltflächen.

Sie sehen den Dialog mit den fünf schwarzen Schaltflächen, wenn Sie im Konfigurationsdialog auf die Schaltfläche OK geklickt haben.
Sie sehen den Dialog mit den drei grauen und zwei schwarzen Schaltflächen, wenn Sie im Konfigurationsdialog auf die Schaltfläche Kein Port geklickt haben.

Die Tasten haben folgende Funktionen:
Lesen | Inhalt von Cartridge lesen
Schreiben | Inhalt von Cartridge schreiben
Formatieren | Cartridge formatieren
Bearbeiten | Cartridge-datei bearbeiten
IK Test | Test Interactive Stricken Funktion
Schließen | Cartridge Utility abschließen

Last Modification: December 12, 2022 © 2005-2022 Computerservice SSHS BV.


Lesen

Drücken Sie die Taste Lesen, um den Inhalt der Cartridge zu lesen.

Das grüne Licht auf die Cartridge leuchtet auf. Im Statusfeld werden Sie über den Fortschritt informiert. Sie können den Lesevorgang abbrechen, indem Sie auf der Tastatur die Taste End drücken.

Wenn der Lesevorgang abgeschlossen ist, wird der obige Dialog angezeigt. Hier können Sie einen Ordner auswählen oder erstellen und anstelle des Sternchens einen Dateinamen eingeben.

Last Modification: Jan 29, 2022 © 2005-2022 Computerservice SSHS BV.


Schreiben

Drücken Sie die Taste Schreiben, um eine Datei in die Kassette zu schreiben.

Sie sehen nun einen Dialog, in dem Sie die zu schreibende Datei auswählen können.

Klicken Sie auf die Datei, die Sie schreiben möchten, und der Dialog sieht wie folgt aus.

Drücken Sie Öffnen, um mit dem Schreiben zu beginnen.

Das rote Licht auf die Cartridge leuchtet auf. Im Statusfeld werden Sie über den Fortschritt informiert. Sie können den Schreibvorgang abbrechen, indem Sie auf der Tastatur die Taste End drücken. Wenn der Schreibvorgang abgeschlossen ist, wird das Menü-Dialogfeld angezeigt.

Last Modification: Jan 29, 2022 © 2005-2022 Computerservice SSHS BV.


Formatieren

Um die Cartridge zu formatieren, Drücken Sie die Taste Formatieren.

Wählen Sie im folgenden Dialogfeld aus, für welche Strickmaschine Sie formatieren möchten.

Das rote Licht an Cartridge leuchtet auf. Im Statusfeld werden Sie über den Fortschritt informiert. Wenn die Formatierung abgeschlossen ist, wird das Dialogfeld "Menü" angezeigt.


Cartridge Bearbeiten

Drücken Sie die TasteUm den gespeicherten Inhalt einer Patrone zu bearbeiten Drücken Sie die Taste Bearbeiten.

Sie werden jetzt sehen:

Die Tasten haben folgende Funktionen:
Neu | Eine neue Cartridge-Datei Erstellen
Öffnen | Eine vorhandene Cartridge-Datei Öffnen
Schließen | Cartridge-Datei schließen
Speichern | Cartridge-Datei speichern
Speichern unter | Cartridge-Datei speichern unter einem anderen Namen
Bearbeiten | Eine Seite der Cartridge-Datei bearbeiten
Extrakt | Inhalt der Cartridge-Datei extrahieren
Ende | Bearbeiten abschließen


Neu

Drücken Sie die Taste Neu, um eine neue Cartridgedatei zu erstellen..

Sie werden nun gefragt, für welche Strickmaschine die Cartridgedatei erstellt werden soll..

Sobald Sie Ihre Wahl getroffen haben, wird der folgende Dialog angezeigt.

Die mittlere Spalte zeigt das Seitenlayout der Cartridge.


Öffnen

Drücken Sie die Taste Öffnen, um eine vorhandene Cartridge-Datei zu öffnen.

Sie sehen nun den Dialog Öffnen. Wählen Sie eine Kassettendatei aus und drücken Sie Öffnen


Schließen

Um eine Kassettendatei zu schließen, drücken Sie die Taste Schließen.


Speichern

Drücken Sie die Taste Speichern, um die angezeigte Cartridgedatei zu speichern.


Speichern Unter

Drücken Sie die Taste Speichern unter, um die angezeigte Cartridgedatei unter einem anderen Namen zu speichern.

Sie können einen Ordner auswählen oder erstellen und anstelle des Sternchens einen Dateinamen eingeben.Drücken Sie Speichern, um die Cartridgedatei zu speichern.


Seite Bearbeiten

Um eine Seite zu bearbeiten, wählen Sie die Seite aus, indem Sie darauf klicken, und drücken Sie dann Bearbeiten.


Durchsuchen

Sie können Ihren Computer nach einem oder mehreren der gewünschten Muster durchsuchen. Klicken Sie zum Durchsuchen auf die Schaltfläche Suchen

Sie sehen einen neuen unabhängigen Dialog wie unten.

Klicken Sie auf die Schaltfläche Ordner, um den Ordner auszuwählen, der Ihre Designs enthält.

Sie sehen nun den Ordnerauswahldialog. Durch Drücken des Pluszeichens (+) neben einem Ordner können Sie die Unterordner öffnen. Wählen Sie den Ordner Ihrer Wahl und drücken Sie OK.

Durch Verschieben des Schiebereglers können Sie alle Muster im Ordner anzeigen.
Das Dialogfeld "Durchsuchen" kann durch Ziehen an den Seiten oder Ecken des Dialogfelds vergrößert und verkleinert werden.
Eine weitere großartige Funktion des Dialogfelds "Durchsuchen" ist "Drag en Drop".


Hinzufügen

Drücken Sie die Taste Hinzufügen, um dieser Seite ein oder mehrere Muster hinzuzufügen.

Hinweis: Für den CK35 können Sie Muster und Blöcke hinzufügen. Klicken Sie hier für CK35.

Im folgenden Dialogfeld können Sie ein oder mehrere Muster auswählen. Drücken Sie Öffnen, um der Seite ausgewählte Dateien hinzuzufügen.

Wie Sie unten sehen können, unterstützt das Cartridge Utility mehrere Dateiformate. Sie können mehrere Dateien und verschiedene Formate gleichzeitig auswählen. Wenn Sie nur Dateien eines bestimmten Formats anzeigen möchten, wählen Sie das gewünschte Dateiformat aus der Liste "Dateityp" aus.


CK35 Hinzufügen

Um dieser Seite ein oder mehrere Muster hinzuzufügen, berühren Sie die Schaltfläche Hinzufügen.
Sie können auch die Schaltfläche Hinzufügen drücken, um einen Block hinzuzufügen.

Nach dem Drücken von Hinzufügen haben Sie die Wahl, ein oder mehrere Muster hinzuzufügen oder einen Block hinzuzufügen.

Wenn Sie Muster drücken, wird der folgende Dialog angezeigt.
Im folgenden Dialogfeld können Sie ein oder mehrere Muster auswählen. Drücken Sie Öffnen, um der Seite ausgewählte Dateien hinzuzufügen.

Wie Sie unten sehen können, unterstützt das Cartridge Utility mehrere Dateiformate. Sie können mehrere Dateien und verschiedene Formate gleichzeitig auswählen. Wenn Sie nur Dateien eines bestimmten Formats anzeigen möchten, wählen Sie das gewünschte Dateiformat aus der Liste "Dateityp" aus.

Wenn Sie bei der Auswahl zwischen Muster und Block Block gewählt haben, wird Folgendes angezeigt:

Der jetzt hinzugefügte Block ist derselbe, der hinzugefügt würde, wenn Sie auf der PPD35 im Menü "Block zum Stricken" die Option "Neuen Block erstellen" ausgewählt hätten.
Sie können den Block jetzt sofort programmieren.
Der Blockeditor verfügt über 4 Registerkarten: Block, Fadenhalterpositionen, Strickbereich und Stopppositionen. Diese Registerkarten entsprechen der Beschreibung auf Seite 51 im Buch Design System Cartridge Bedienungsanleitung.
Blockdaten werden auf Seite 53 und weiter beschrieben.

Die Positionen der Drahthalter finden Sie auf Seite 66.

Strickbereich finden Sie auf Seite 67.

Stopppositionen finden Sie auf Seite 70.

Nachdem Sie den Block programmiert haben, können Sie die Programmierung beenden, indem Sie die Taste Schließen drücken.Jede Registerkarte verfügt über eine Schaltfläche Schließen.Diese Schaltfläche beendet die Bearbeitung des Blocks. Schließen entspricht "Endblock" auf Seite 64.

Nach dem Drücken von Schließen werden Sie gefragt, ob Sie den Block speichern möchten. Es gibt drei mögliche Antworten:
Ja: Der Block wird als vollständiger Block zum Inhaltsverzeichnis hinzugefügt.
Nein: Der Block bleibt als unvollständiger Block im Inhaltsverzeichnis.
Abbrechen: Weite gehen mit der Blockprogrammierung


Löschen

Um ein Muster von dieser Seite zu löschen, wählen Sie das Muster aus und berühren Sie die Schaltfläche Löschen

Bei CK35-Cartridges ist es mit dieser Funktion auch möglich, einen Block zu entfernen.


Zeigen

Um Bilder von Mustern auf dieser Seite anzuzeigen, wählen Sie ein Muster aus und berühren Sie die Schaltfläche zeigen.

Hinweis: Beim CK35 werden Muster und Blöcke angezeigt. Klicken Sie hier voor CK35.

Der folgende Dialog zeigt das ausgewählte Muster.

Drücken Sie Vorige um ein Bild des vorherigen Musters anzuzeigen.
Drücken Sie Info um Informationen über das nächste Muster / den nächsten Block anzuzeigen.
Drücken Sie Nächste um ein Bild des folgenden Musters anzuzeigen.
Drücken Sie Schließen um die Anzeige zu verlassen.


CK35 Zeigen

Um Bilder von Mustern auf dieser Seite oder die Informationen in einem Block anzuzeigen, wählen Sie ein Muster oder einen Block aus und drücken Sie die Taste Zeigen.

Der folgende Dialog zeigt das ausgewählte Muster.

Drücken Sie Vorige um ein Bild des vorherigen Musters anzuzeigen.
Drücken Sie Info um Informationen über das nächste Muster / den nächsten Block anzuzeigen.
Drücken Sie Nächste um ein Bild des folgenden Musters anzuzeigen.
Drücken Sie Schließen um die Anzeige zu verlassen.

Unten finden Sie die Informationen des ausgewählten Musters. Die Informationen finden Sie auf Seite 33 der Design System Cartridge Bedienungsanleitung.

Wenn Sie beim Drücken von Zeigen einen Block ausgewählt haben, wird der folgende Dialog angezeigt. Der Inhalt des Blocks wird im Text angezeigt. Sie werden auch sehen, dass die Beschriftung der Schaltfläche Info in Bearbeiten ersetzt wurde.

Durch Drücken von Bearbeiten können Sie den Block bearbeiten wie beschrieben unter Hinzufügen.


Extrahieren

Drücken Sie, um ein Muster dieser Seite (als PAT-Datei oder als STC-Datei) auf Ihrem Computer zu speichern auf Extrahieren.

Sie sehen nun ein Dialogfeld, in dem Sie einen Ordner auswählen oder erstellen und einen Dateinamen eingeben können. Der Dateiname wurde bereits vorangestellt. Die von Ihnen angegebene Erweiterung (PAT oder SVC) bestimmt, welcher Dateityp gespeichert wird.

Drücken Sie Speichern, um das Muster zu speichern.


Drag & Drop

Mit der Drag & Drop-Funktion können Sie ein oder mehrere Muster aus dem Dialogfeld "Durchsuchen" in das Dialogfeld "Cartridge bearbeiten" ziehen.
Stellen Sie sicher, dass sowohl das Dialogfeld "Durchsuchen" als auch das Dialogfeld "Cartridge bearbeiten" sichtbar sind.

Wählen Sie im Dialogfeld "Durchsuchen" ein oder mehrere Muster aus.

Drücken Sie mit der linken Maustaste eines der ausgewählten Muster und halten Sie die linke Maustaste gedrückt.
Der Mauszeiger ändert sich, sobald Sie die Maus bewegen (bei gedrückter linker Maustaste) in:

Bewegen Sie den Mauszeiger über den weißen Bereich im Dialogfeld "Cartidge bearbeiten". Sobald sich der Mauszeiger über dem weißen Bereich befindet, ändert sich der Mauszeiger in:

Lassen Sie nun die linke Maustaste los und die Dateien werden Ihrer Mustersammlung hinzugefügt.


Extrakt

Um eine Seite von der angezeigten Cartridge-datei zu trennen, wählen Sie eine Seite aus und klicken Sie auf die Schaltfläche Extrakt

Das Cartridge Utility gibt an, wie viele Muster sich auf der Seite befinden.Wenn Sie teilen möchten, drücken Sie Ja.
Wenn Sie trotzdem nicht teilen möchten, drücken Sie Nein oder Abbrechen.

Die beim Teilen erstellten Dateien, PAT-Dateien oder STC-Dateien werden im selben Ordner wie die Cartridge-Datei gespeichert.

Nach Abschluss der Aufteilung erhalten Sie einen Überblick über die Aufteilung.


Ende

Drücken Sie Ende, um die Bearbeitung der Cartridgedateien abzuschließen.

Wenn Sie Ihre Arbeit nicht gespeichert haben, wird der folgende Dialog angezeigt:

Drücken Sie Ja um deine Arbeit zu retten
Drücken Sie Nein deine Arbeit nicht zu speichern
Drücken Sie Abbrechen um die Bearbeitung fortzusetzen


IK Test

Um den interaktiven Stricktest durchzuführen, drücken Sie die Taste IK Test.

Sie sehen jetzt

Das Statusfeld enthält den Text IK Test und die meisten Schaltflächen sind für 30 Sekunden deaktiviert.
Während dieser Zeit können Sie den Knitlink-Arm in die Nähe des roten Punktes auf der IK-Oberfläche bewegen.
Wenn Sie nah genug dran sind, sehen Sie:

Der IK-Test kann auch auf zwei weitere Arten beendet werden: Der Timer läuft ab, oder Sie drücken die Taste End.
Sie sehen jeweils:

Last Modification: December 12, 2022 © 2005-2022 Computerservice SSHS BV.


Schließen

Beenden Sie das Cartridge Utility, indem Sie auf die Schaltfläche Schließen oder das Kreuz in der oberen rechten Ecke des Dialogfelds klicken.


Schnellstart Anleitung

Teileliste
  1. Cartridge
  2. USB Kabel
  3. CDROM mit Cartridge Utility Software und USB Treiber
  4. Kabel zum interaktiven Stricken mit DesignaKnit (optional)

Software Installation

Hinweis: Installieren Sie die Software, bevor Sie die Cartridge an den Computer anschließen

  1. Legen Sie die Cartridge-Installations-CD in das CD-ROM-Laufwerk ein
  2. Das Cartridge-Installationsprogramm wird automatisch gestartet
  3. Wenn die automatische Ausführung auf Ihrem Computer nicht aktiviert ist, suchen Sie die CD-ROM und doppelklicken Sie im Stammverzeichnis der CD auf setup.exe
  4. Befolgen Sie die Anweisungen auf dem Bildschirm. Der InstallShield-Installationsassistent führt Sie durch den Vorgang
  5. Nach einer erfolgreichen Installation wird das Konfigurationsdialogfeld für das Cartridge-Dienstprogramm angezeigt.
Hinweis 1: Es wird empfohlen, das Cartridge Utility im aktuellen Ordner zu installieren.

Hardwareinstallation

  1. Schließen Sie den B Stecker des USB-Kabels an den USB Anschluss auf der Rückseite Ihrer Cartridge an
  2. Verbinden Sie den A Anschluss des USB-Kabels mit einem freien USB-Anschluss Ihres Computers
  3. Überprüfen Sie, ob das grüne Licht aufleuchtet und das rot / grüne Licht mindestens einmal blinkt und dann ausgeschaltet bleibt
  4. Windows zeigt "Neue Hardware gefunden" an.
  5. Lassen Sie Windows vorzugsweise nach den Treibern suchen
  6. Wenn die nicht gefunden werden, teilen Sie Windows mit, dass sich die Treiber auf der CD-ROM befinden
  7. Wenn Windows angibt, dass die Treiber nicht kompatibel sind, klicken Sie auf "Trotzdem fortfahren".
  8. Der USB Serial Converter ist jetzt installiert
  9. Windows zeigt erneut "Neue Hardware gefunden" an.
  10. Lassen Sie Windows vorzugsweise nach den Treibern suchen
  11. Wenn die nicht gefunden werden, teilen Sie Windows mit, dass sich die Treiber auf der CD-ROM befinden
  12. Wenn Windows angibt, dass die Treiber nicht kompatibel sind, klicken Sie auf "Trotzdem fortfahren".
  13. Der serielle USB-Anschluss ist jetzt installiert
  14. Die Installation ist abgeschlossen
  15. Auf einigen Systemen ist nach der Installation der USB-Treiber ein Neustart erforderlich

Last Modification: October 23, 2005 © 2005 Computerservice SSHS BV.


Dialog Manager

Der Dialog Manager ist, wie der Name schon sagt, ein Paket zur Verwaltung der Dialog Funktionen. Der Dialog Manager erleichtert dem Windows Programmierer den Heckmeck mit den Systemfunktionen und verbessert dadurch die Anwenderfreundlichkeit.

Der Dialog Manager erweitert sogar den Funktionsumfang der Standard Windows Dialoge.
Folgende Erweiterungen sind in dieser Anwendung umgesetzt:
  • Schraffierte Schaltflächen: die Schaltfläche ist abhängig von dem Inhalt eines oder mehrerer Felder, wobei die Inhalte nicht plausibel sind. Der Anwender kann auf die schraffierte Schaltfläche klicken, um weitere Informationen zum unerfüllten Zustand zu erhalten.
  • Farbige Felder: Wenn eine Schaltfläche den Fokus hat, können farbige Felder darauf hinweisen, dass eine Aktion erforderlich ist.
  • Erweiterung: Wenn eine Reihe in einer Tabelle aktiviert ist, erweitern sich die Spaltenfelder zu einzelnen Eingabefeldern.

Letzte Änderung: 19. Dezember 2009 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Einführung

Eine Dialog Manager Anwendung enthält einen oder mehrere Dialogfenster.

Hilfe zu einem Dialogfenster.

Ein Dialog kann enthalten:
  • Schaltflächen
  • Eingabefelder
  • Mehrzeilenfelder
  • Listenfelder
  • Häkchenfeld
Man kann sich mittels Maus oder Tastatur in einem Dialog bewegen.

Zugriffstasten

Scrollbalken

Fokus und Tabulator Reihenfolge

Farbhinweise

Letzte Änderung: 19. Dezember 2009 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Schaltflächen

Ein Dialog enthält normalerweise eine OK Schaltfläche, eine Abbrechen Schaltfläche und einige weitere Aktions-Schaltflächen.
Sie 'betätigen' eine Schaltfläche mittels Mausklick oder mit der Tastatur:
  • Drücken der Enter Taste ist gleichbedeutend mit Betätigen der Standard-Schaltfläche. Diese erkennt man an der starken Umrandung. Die Standard-Schaltfläche ist diejenige mit dem sogenannten Fokus, oder, wenn keine Schaltfläche den Fokus hat, die vorgesehene Schaltfläche. Der Dialog Manager macht immer die zuletzt betätigte Schaltfläche zum Standard.
  • Durch Betätigen der Leertaste wird immer die Schaltfläche betätigt, die gerade eine punktierte Linie als Rand hat.
  • Wenn ein Buchstabe in der Element-Beschriftung unterstrichen ist, können Sie das Element auswählen, indem Sie die Alt-Taste zusammen mit dem unterstrichenen Buchstaben drücken.

Letzte Änderung: 19. Dezember 2009 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Eingabefelder

Ein einzeiliges Eingabefeld dient der Anzeige oder Eingabe von Zeichenketten. Üblicherweise sind Eingabefelder bei Öffnen des Dialoges leer, oder enthalten manchmal einen bestimmten Text.
Wenn ein Eingabefeld die Texteingabe erlaubt, kann man mittels Mausklick die Schreibmarke an eine bestimmte Stelle setzen und mit der Tastatur bearbeiten. Die Taste Pos1 bewegt den Cursor an den Anfang des Feldes, und die Ende Taste bewegt ihn an das Ende des Textes. Die Entf Taste löscht Zeichen hinter dem Cursor, und die <--Rück Taste löscht Zeichen, die vor dem Cursor stehen.
Man kann Text markieren, indem man den Cursor mit der Maus darüberzieht. Die Entf Taste löscht dann markierten Text. Schreibt man bei markiertem Text los, wird dieser durch die neuen Zeichen ersetzt.

Letzte Änderung: 19. Dezember 2009 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Mehrzeilenfelder

Ein Mehrzeilenfeld dient der Anzeige oder Eingabe von Zeichenketten. Üblicherweise sind Eingabefelder bei Öffnen des Dialoges leer, oder enthalten manchmal einen bestimmten Text.
Wenn ein Eingabefeld die Texteingabe erlaubt, kann man mittels Mausklick die Schreibmarke an eine bestimmte Stelle setzen und mit der Tastatur bearbeiten. Die Taste Pos1 bewegt den Cursor an den Anfang des Feldes, und die Ende Taste bewegt ihn an das Ende des Textes. Die Entf Taste löscht Zeichen hinter dem Cursor, und die <--Rück Taste löscht Zeichen, die vor dem Cursor stehen.
Man kann Text markieren, indem man den Cursor mit der Maus darüberzieht. Die Entf Taste löscht dann markierten Text. Schreibt man bei markiertem Text los, wird dieser durch die neuen Zeichen ersetzt. Durch gleichzeitiges Drücken der Tasten Strg+Enter wird eine neue Zeile eingefügt.

Letzte Änderung: 19. Dezember 2009 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Listenfeld

Ein Listenfeld zeigt eine Liste von Einträgen. Bewegen Sie sich durch die Liste mittels Scrollbalken oder auf eine dieser Arten:
  • Doppelklick auf einen Eintrag
  • Klick auf einen Eintrag und Drücken von Enter
  • Bewegen mit den Pfeiltasten in der Liste und Betätigen der Leertaste.
Die Farbe ändert sich, je nachdem, ob Sie den Fokus oder Auswahl betätigen. Sie nehmen eine Auswahl zurück, indem Sie die Entf Taste betätigen.

Letzte Änderung: 19. Dezember 2009 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Häkchenfeld

Ein Häkchenfeld wird verwendet, um eine Option zu aktivieren oder abzuwählen. Die Auswahl ist aktiv, wenn ein Häkchen oder Kreuz erscheint.

Letzte Änderung: 19. Dezember 2009 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Zugriffstasten

Eine Zugriffstaste ermöglicht es Ihnen, die Elemente Eingabefeld, Mehrzeilenfeld, Schaltfläche, Häkchenfeld, oder Listenfeld in einem Dialogfenster per Tastatur anzuspringen. Wenn ein Buchstabe in der Element-Beschriftung unterstrichen ist, können Sie das Element auswählen, indem Sie die Alt-Taste zusammen mit dem unterstrichenen Buchstaben drücken.

Letzte Änderung: 19. Dezember 2009 (c) Copyright 2004, Computerservice SSHS BV


Dialog Manager - Scrollbalken

Ein Scrollbalken erscheint am rechten oder unteren Rand eines Listenfeld oder Mehrzeilenfeld wenn der Inhalt nicht komplett angezeigt werden kann. Jeder Scrollbalken hat zwei Scrollpfeile und eine Scrollbox, mit denen man durch den Inhalt des jeweiligen Fensters rollen kann.

Letzte Änderung: 19. Dezember 2009 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Erster Fokus und Tabulator Reihenfolge

Wenn ein Dialog-Element aktiv ist, hat es den Fokus und man kann hierauf mittels Tasten einwirken, um z.B. in einem Eingabefeld einen Text einzugeben.

Mittels TAB-Taste kann man nun zum nächsten Element springen, wodurch dieses den Fokus erhält. Die Reihenfolge, in der die Elemente angesprungen werden nennt man "Tabulator Reihenfolge".

Die Verwendung von Tab ist z.B. besonders nützlich und vernünftig, um von einem Eingabefeld zum nächsten zu springen.

Letzte Änderung: 19. Dezember 2009 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Farbhinweise

Farbhinweise erscheinen in Form von grauen oder schraffierten Schaltflächen, Eingabefeldern oder Listen, wenn eine bestimmte Bedingung noch nicht erfüllt ist. In diesem Fall muss erst an anderer Stelle ein Wert eingegeben oder aktiviert werden.

Letzte Änderung: 19. Dezember 2009 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Hilfe zu einem Dialog

Wenn der Dialog Manager einen Dialog anzeigt, kann man Hilfeinformationen durch Drücken der Taste F1 erhalten. Dadurch erscheint ein Dialog mit folgender Auswahl (sofern verfügbar):
  • Allgemein zeigt diese Hilfe
  • Formular zeigt Hilfe zur Anwendung
  • Feld zeigt Hilfe für das Feld, das den Fokus hat
Sie können ebenso den Formular- oder Feld-Schlüssel verwenden, um direkt zur entsprechenden Hilfestelle zu gelangen.

Letzte Änderung: 19. Dezember 2009 © 1999-2004 Computerservice SSHS BV.


IK Test

Om de Interactief Breien test uit te voeren, drukt u op de knop IK Test.

U ziet dan

Het Status veld bevat de tekst IK Test en bijna alle knoppen zijn voor 30 secondes uitgeschakeld.
In deze tijd kunt u de knitlink arm in de buurt van de rode punt op de IK interface bewegen.
Als u dicht genoeg bij komt, ziet u:

De IK Test kan op nog twee manieren worden afgesloten: de timer loopt af of u drukt op de End toets.

U ziet respectievelijk:

Last Modification: December 12, 2022 © 2005-2022 Computerservice SSHS BV.


TITLE

Last Modification: October 23, 2005 © 2005-2020 Computerservice SSHS BV.